package game;

import main.Art;
import main.GameComponent;
import main.InputHandler;

public class MainMenu {
	//private BufferedImage image;
	//private int[] pixels;
	private InputHandler inputHandler;
	private DeadGame game;
	
	private final int startX = 70;
	private final int startY = 70;
	
	public enum MenuOption {
		START;
	}
	
	public MainMenu(DeadGame g) {
		inputHandler = g.inputHandler;
		game = g;
		//image = new BufferedImage(GameComponent.WIDTH, GameComponent.HEIGHT, BufferedImage.TYPE_INT_ARGB);
		//pixels = ((DataBufferInt) image.getRaster().getDataBuffer()).getData();
	}
	
	public void tick() {
		int x0 = startX * GameComponent.SCALE;
		int x1 = (startX + Art.start.width) * GameComponent.SCALE;
		int y0 = startY * GameComponent.SCALE;
		int y1 = (startY + Art.start.height) * GameComponent.SCALE;
		if (inputHandler.mouseX > x0 && inputHandler.mouseX < x1 && inputHandler.mouseY > y0 && inputHandler.mouseY < y1) {
			if (inputHandler.mouseClicked) {
				inputHandler.mouseClicked = false;
				//Do Action
				game.uninitialize();
				game.setGameMenuFlag(MenuOption.START);
			}
		}
		
	}
	
	public void render(int[] data) {
		for (int j = 0; j < Art.start.height; j++) {
			for (int i = 0; i < Art.start.width; i++) {
				data[(j + startY) * (GameComponent.WIDTH / GameComponent.SCALE) + (i + startX)] = Art.start.pixels[j * Art.start.width + i];
			}
		}
	}
}
