package main;

import java.awt.image.BufferedImage;
import java.io.IOException;
import javax.imageio.ImageIO;

public class Art {
	
	public static class Bitmap {
		public int[] pixels;
		public int width, height;
		
		public Bitmap(int w, int h, int[] pixels) {
			this.width = w;
			this.height = h;
			this.pixels = pixels;
		}
	}
	
	public static final Bitmap start = loadImage("/start.png");
	
	private static final Bitmap loadImage(String filename) {
		Bitmap result = null;
		try {
			BufferedImage img = null;
			img = ImageIO.read(Art.class.getResource(filename));
			if (img != null) {
				result = new Bitmap(img.getWidth(), img.getHeight(), img.getRGB(0, 0, img.getWidth(), img.getHeight(), null, 0, img.getWidth()));
			}
		}
		catch (IOException e) {
			System.out.println("Unable to load image " + filename);
		}
		return result;
	}
}
